Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155653 - linux/watchdog.h missing ioctls
Summary: linux/watchdog.h missing ioctls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: glibc-kernheaders
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-04-22 09:31 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-716
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 12:23:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:716 qe-ready SHIPPED_LIVE glibc-kernheaders bug fix update 2005-10-05 04:00:00 UTC

Description Bastien Nocera 2005-04-22 09:31:27 UTC
WDIOC_SETTIMEOUT and WDIOC_GETTIMEOUT are missing from the kernheaders

--- /usr/include/linux/watchdog.h       2001-10-23 20:55:51.000000000 +0300
+++ /lib/modules/2.6.9-5.0.3.ELsmp/build/include/linux/watchdog.h      
2004-10-19 00:54:40.000000000 +0300
@@ -10,6 +10,7 @@
#define _LINUX_WATCHDOG_H

#include <linux/ioctl.h>
+#include <linux/types.h>

#define        WATCHDOG_IOCTL_BASE     'W'

@@ -25,6 +26,8 @@
#define        WDIOC_GETTEMP           _IOR(WATCHDOG_IOCTL_BASE, 3, int)
#define        WDIOC_SETOPTIONS        _IOR(WATCHDOG_IOCTL_BASE, 4, int)
#define        WDIOC_KEEPALIVE         _IOR(WATCHDOG_IOCTL_BASE, 5, int)
+#define        WDIOC_SETTIMEOUT        _IOWR(WATCHDOG_IOCTL_BASE, 6, int)
+#define        WDIOC_GETTIMEOUT        _IOR(WATCHDOG_IOCTL_BASE, 7, int)

#define        WDIOF_UNKNOWN           -1      /* Unknown flag error */
#define        WDIOS_UNKNOWN           -1      /* Unknown status error */
@@ -36,6 +39,8 @@
#define        WDIOF_POWERUNDER        0x0010  /* Power bad/power fault */
#define        WDIOF_CARDRESET         0x0020  /* Card previously reset the CPU */
#define WDIOF_POWEROVER                0x0040  /* Power over voltage */
+#define WDIOF_SETTIMEOUT       0x0080  /* Set timeout (in seconds) */
+#define WDIOF_MAGICCLOSE       0x0100  /* Supports magic close char */
#define        WDIOF_KEEPALIVEPING     0x8000  /* Keep alive ping reply */

#define        WDIOS_DISABLECARD       0x0001  /* Turn off the watchdog timer */

Comment 10 Red Hat Bugzilla 2005-10-05 12:08:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html


Comment 11 Red Hat Bugzilla 2005-10-05 12:23:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-716.html



Note You need to log in before you can comment on or make changes to this bug.